{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Enquiries</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_bazaar') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> New Bazaar</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="newtab" class="table table-striped custom-table datatable">
       <thead>
         <tr>
           <th>#</th>
           <th>Name</th>
           <th>Location</th>
          <th>Phone</th>
           <th>Color</th>
           <th class="text-right">Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for bazaar in bazaars %}

         <tr id='del{{ bazaar.id }}'>
           <td>{{ loop.index }}</td>
           <td><a {% if current_user.role.permissions.read_inventory == True %} href="{{ url_for('main.view_bazaar', id=bazaar.id) }}" {%endif%} >{{ bazaar.name }}</a></td>
            <td>{{ bazaar.location }}</td>
            <td>{{ bazaar.phone }}</td>
           <td style="background:{{ bazaar.color }}"></td>
           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_bazaar', id=bazaar.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                 {% if current_user.role.permissions.read_inventory == True %}<li><a href="{{ url_for('main.view_bazaar', id=bazaar.id) }}"><i class="fa fa-eye m-r-5"></i> View</a></li>{% endif %}
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ bazaar.id }}','Bazaar', '#del{{ bazaar.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li> {% endif %}
               </ul>
             </div>
           </td>
         </tr>
          {% endfor %}
      </tbody>

     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}
